summaryrefslogtreecommitdiffstats
path: root/abs/core/LinHES-system/fix_myth_mount.sh
diff options
context:
space:
mode:
authorCecil <knoppmyth@gmail.com>2012-01-14 20:46:12 (GMT)
committerCecil <knoppmyth@gmail.com>2012-01-14 20:46:12 (GMT)
commitc321283760591e3c6e5d9ed415e9c422fee83d9e (patch)
tree4e482fdf514f477c7ac23e0da81ec82a51a53b39 /abs/core/LinHES-system/fix_myth_mount.sh
parente9948fef7a06dbb6b0c53e50df10c0a0dc2d941b (diff)
parentd5525acd5a4054460b98930b46d9de5690c1fd36 (diff)
downloadlinhes_pkgbuild-c321283760591e3c6e5d9ed415e9c422fee83d9e.zip
linhes_pkgbuild-c321283760591e3c6e5d9ed415e9c422fee83d9e.tar.gz
linhes_pkgbuild-c321283760591e3c6e5d9ed415e9c422fee83d9e.tar.bz2
Merge branch 'testing' of ssh://cesman@linhes.org/mount/repository/linhes_pkgbuild into testing
Diffstat (limited to 'abs/core/LinHES-system/fix_myth_mount.sh')
-rw-r--r--abs/core/LinHES-system/fix_myth_mount.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/abs/core/LinHES-system/fix_myth_mount.sh b/abs/core/LinHES-system/fix_myth_mount.sh
new file mode 100644
index 0000000..2ed9783
--- /dev/null
+++ b/abs/core/LinHES-system/fix_myth_mount.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+function checkmount {
+ mounted=1
+ for i in `cat /proc/mounts | cut -d' ' -f2`; do
+ if [ "x$1" = "x$i" ]; then
+ mounted=0
+ break
+ fi
+
+ done
+ return $mounted
+}
+
+checkmount $1
+rc=$?
+
+if [ $rc == 0 ]
+then
+ echo "fs is mounted"
+else
+ echo "fs is not mounted"
+fi \ No newline at end of file